pull_request_rules:

  - name: warn on conflicts
    conditions:
      - conflict
      - -draft # filter-out GH draft PRs
      - -label="has conflicts"
    actions:
      # comment:
      #   message: This pull request is now in conflict... :(
      label:
        add: [ "has conflicts" ]

  - name: resolved conflicts
    conditions:
      - -conflict
      - label="has conflicts"
      - -draft # filter-out GH draft PRs
      - -merged # not merged yet
      - -closed
    actions:
      label:
        remove: [ "has conflicts" ]

  - name: update PR
    conditions:
      - -conflict
      - -draft # filter-out GH draft PRs
      - base=master  # apply only on master
      - -title~=(?i)wip # skip all PR that title contains “WIP” (ignoring case)
      - "#approved-reviews-by>=1" # number of review approvals
    actions:
      update: {}
